
ctools - Bug #3136

make check fails  with test_examples.py

01/13/2020 08:54 PM - Kherlakian M.

Status: Closed Start date: 01/13/2020

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Hello! I am getting the following error when I try to install ctools version 1.6.3. The installation of gammalib 1.6.3 worked fine. I had

already installed it once in the machine and it worked fine, but I had to reinstall to update the python version of gammalib. Now I

cannot reinstall ctools.

PASS: test_python_ctools.sh

PASS: test_python_cscripts.sh

FAIL: test_examples.py ============================================================================

Testsuite summary for ctools 1.6.3

============================================================================

1. TOTAL: 3

2. PASS:  2

3. SKIP:  0

4. XFAIL: 0

5. FAIL:  1

6. XPASS: 0

7. ERROR: 0 ============================================================================

See test/test-suite.log

Please report to jurgen.knodlseder@irap.omp.eu

============================================================================

Makefile:622: recipe for target 'test-suite.log' failed

make

3

: * [test-suite.log] Error 1

make

3

: Leaving directory '/home/maria/Downloads/ctools-1.6.3/test'

Makefile:728: recipe for target 'check-TESTS' failed

make

2

:  [check-TESTS] Error 2

make

2

: Leaving directory '/home/maria/Downloads/ctools-1.6.3/test'

Makefile:815: recipe for target 'check-am' failed

make

1

:  [check-am] Error 2

make

1

: Leaving directory '/home/maria/Downloads/ctools-1.6.3/test'

Makefile:717: recipe for target 'check-recursive' failed

make: * [check-recursive] Error 1

Related issues:

Related to ctools - Bug # 3156: show_pull_histogram.py broken with matplotlib... Closed 02/05/2020

History

#1 - 01/14/2020 09:54 AM - Tibaldo Luigi

Hi Maria,

how are you installing ctools: conda, source, Mac OS image?

#2 - 01/14/2020 03:13 PM - Kherlakian M.

user#266 wrote:

Hi Maria,

how are you installing ctools: conda, source, Mac OS image?

 

Dear Tibaldo Luigi,
I am installing by source mode in a machine with Ubuntu 18.04.

I tried installing the development version via source tarballs and got the same error.

#3 - 01/14/2020 03:18 PM - Tibaldo Luigi

Could you please go to the ctools installation directory, enter in the dev directory and run

./testreport.py

and paste here the output?

You may also be interested to know that for installing a released version on Ubuntu anaconda provides an alternative much easier to use than

installing from source.

#4 - 01/14/2020 03:47 PM - Kherlakian M.

- File Screenshot from 2020-01-14 11-47-23.png added

Here it is

#5 - 01/14/2020 03:54 PM - Tibaldo Luigi

Could you please attach here the file test/test-suite.log?

#6 - 01/14/2020 04:46 PM - Kherlakian M.

- File test-suite.log added

user#266 wrote:

Could you please attach here the file test/test-suite.log?

#7 - 01/15/2020 03:57 PM - Tibaldo Luigi

Could you please attache here test/reports/examples.xml ?

#8 - 01/15/2020 04:30 PM - Tibaldo Luigi

- Priority changed from High to Normal

#9 - 02/05/2020 12:19 PM - Cardenzana Josh

- Related to Bug #3156: show_pull_histogram.py broken with matplotlib > 3.1.0 added

#10 - 02/17/2020 05:06 PM - Tibaldo Luigi

- Status changed from New to Resolved

Solved by changes related to #3156

#11 - 02/18/2020 09:53 AM - Knödlseder Jürgen

- Status changed from Resolved to Closed
Screenshot from 2020-01-14 11-47-23.png 78.1 KB 01/14/2020 Kherlakian M.

test-suite.log 1.16 KB 01/14/2020 Kherlakian M.
